#ifndef __TIMES_H
#define __TIMES_H

#include "types.h"

struct timeval {
	uint64 tv_sec; // Seconds
	uint64 tv_usec; // Microseconds
};

// Proc times
struct tms {
    uint64 tms_utime; // User CPU time
    uint64 tms_stime; // System CPU time
    uint64 tms_cutime; // User CPU time of dead children
    uint64 tms_cstime; // System CPU time of dead children
};

#endif